play.libs

## Class OAuth2.Response

- java.lang.Object
- - play.libs.OAuth2.Response

- Enclosing class:
    OAuth2

      public static class OAuth2.Response
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `accessToken`
    `OAuth2.Error` | `error`
    `WS.HttpResponse` | `httpResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Response(WS.HttpResponse response)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2.Response` | `error(OAuth2.Error error, WS.HttpResponse response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### accessToken

          public final java.lang.String accessToken

    - #### error

          public final OAuth2.Error error

    - #### httpResponse

          public final WS.HttpResponse httpResponse

  - ### Constructor Detail

    - #### Response

          public Response(WS.HttpResponse response)

  - ### Method Detail

    - #### error

          public static OAuth2.Response error(OAuth2.Error error,
                                              WS.HttpResponse response)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly